Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.util.hashtable
Class SequencedLongHashMap.Entry

    java.lang.Object
      org.exist.util.hashtable.SequencedLongHashMap.Entry

Enclosing class:
  SequencedLongHashMap

public static final class SequencedLongHashMap.Entry
extends java.lang.Object

Represents an entry in the map. Each entry has a link to the next and previous entries in the order in which they were inserted.

Author:
  wolf

Constructor Summary
`SequencedLongHashMap.Entry(long key, java.lang.Object value)`

Method Summary
`long` | `getKey()`
`SequencedLongHashMap.Entry` | `getNext()`
`java.lang.Object` | `getValue()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SequencedLongHashMap.Entry

    public SequencedLongHashMap.Entry(long key,
                                      java.lang.Object value)

Method Detail

### getNext

    public SequencedLongHashMap.Entry getNext()

### getKey

    public long getKey()

### getValue

    public java.lang.Object getValue()

### toString

    public java.lang.String toString()

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.